Skip to main content
GET
/
public
/
v2
/
fixed-assets
/
{fixed_asset_number}
/
schedules
/
{depreciation_book_id}
/
schedule
Get depreciation schedule by book
curl --request GET \
  --url https://api.dualentry.com/public/v2/fixed-assets/{fixed_asset_number}/schedules/{depreciation_book_id}/schedule/ \
  --header 'X-API-KEY: <api-key>'
[
  {
    "date": "2023-12-25",
    "depreciation_id": 123,
    "period": "<string>",
    "start_date": "2023-12-25",
    "end_date": "2023-12-25",
    "depreciation_amount": "<string>",
    "accumulated_depreciation": "<string>",
    "net_book_value": "<string>",
    "revaluation_id": 123,
    "new_asset_value": "<string>",
    "disposal_id": 123,
    "disposal_type": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

fixed_asset_number
integer
required
depreciation_book_id
integer
required

Query Parameters

from_date
string<date> | null
to_date
string<date> | null

Response

OK

type
enum<string>
required
Available options:
purchase,
depreciation_start,
depreciation,
disposal,
revaluation
date
string<date>
required
depreciation_id
integer | null
period
string | null
start_date
string<date> | null
end_date
string<date> | null
depreciation_amount
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
accumulated_depreciation
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
net_book_value
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
status
enum<string> | null
Available options:
posted,
scheduled,
archived,
created,
initiated
revaluation_id
integer | null
new_asset_value
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
disposal_id
integer | null
disposal_type
string | null
Last modified on May 28, 2026